LEAP 15.3 GNOME Desktop resolution issue

Hi There,

I’m using Intel Celeron J6412@2.00GHz and LEAP 15.3 GNOME Desktop.
Currently I’m facing issue of desktop resolution has been fixed as 800*600 and there is no other resolution can be selected.
Is there anyone can guide me how to resolve this issue? Thank you.
My system environment as below:

uname -a
Linux localhost.localadmin 5.3.18-59.27-default #1 SMP Tue Oct 5 10:00:40 UTC 2021 (7df2404) x86_64 x86_64 x86_64 GNU/Linux

lspci
00:00.0 Host bridge: Intel Corporation Device 4538 (rev 01)
00:02.0 VGA compatible controller: Intel Corporation Device 4555 (rev 01)
00:08.0 System peripheral: Intel Corporation Device 4511 (rev 01)
00:14.0 USB controller: Intel Corporation Device 4b7d (rev 11)
00:14.2 RAM memory: Intel Corporation Device 4b7f (rev 11)
00:16.0 Communication controller: Intel Corporation Device 4b70 (rev 11)
00:17.0 SATA controller: Intel Corporation Device 4b63 (rev 11)
00:1a.0 SD Host controller: Intel Corporation Device 4b47 (rev 11)
00:1a.1 SD Host controller: Intel Corporation Device 4b48 (rev 11)
00:1c.0 PCI bridge: Intel Corporation Device 4b3c (rev 11)
00:1c.5 PCI bridge: Intel Corporation Device 4b3d (rev 11)
00:1c.6 PCI bridge: Intel Corporation Device 4b3e (rev 11)
00:1e.0 Communication controller: Intel Corporation Device 4b28 (rev 11)
00:1f.0 ISA bridge: Intel Corporation Device 4b00 (rev 11)
00:1f.3 Audio device: Intel Corporation Device 4b58 (rev 11)
00:1f.4 SMBus: Intel Corporation Device 4b23 (rev 11)
00:1f.5 Serial bus controller [0c80]: Intel Corporation Device 4b24 (rev 11)
01:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
02:00.0 Ethernet controller: Intel Corporation Ethernet Controller I225-V (rev 03)
03:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)

lshw

    *-display UNCLAIMED
         description: VGA compatible controller
         product: Intel Corporation
         vendor: Intel Corporation
         physical id: 2
         bus info: pci@0000:00:02.0
         version: 01
         width: 64 bits
         clock: 33MHz
         capabilities: pciexpress msi pm vga_controller bus_master cap_list
         configuration: latency=0
         resources: iomemory:600-5ff iomemory:400-3ff memory:6000000000-6000ffffff memory:4000000000-400fffffff ioport:5000(size=64) memory:c0000-dffff

Please post:

/sbin/lspci -nnk | grep -EiA3 'display|3d|vga'
cat /proc/cmdline

https://ark.intel.com/content/www/us/en/ark/products/214758/intel-celeron-processor-j6412-1-5m-cache-up-to-2-60-ghz.html reports Q1 2021 release of that CPU, 10th Gen Elkhart Lake, which might be too new for 15.3 support with the standard kernel. Assuming you’re not booting with nomodeset, you might need to install the kernel from https://download.opensuse.org/repositories/Kernel:/stable:/Backport/standard/x86_64/.

sbin/lspci -nnk | grep -EiA3 ‘display|3d|vga’
00:02.0 VGA compatible controller [0300]: Intel Corporation Device [8086:4571] (rev 01)
Subsystem: Intel Corporation Device [8086:7270]
Kernel modules: i915
00:08.0 System peripheral [0880]: Intel Corporation Device [8086:4511] (rev 01)

cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-5.3.18-59.27-default root=UUID=19618bdd-3980-4307-9eb3-448428861c7f splash=silent mitigations=auto quiet

Thanks for your reply, I’ve checked the link, but I’ve no idea which rpm file should I download.
Could you guide me which rpm file should I download? Thank you.

Don’t download any rpm. Instead, save the file https://download.opensuse.org/repositories/Kernel:/stable:/Backport/standard/Kernel:stable:Backport.repo to /etc/zypp/repos.d/, then use zypper or yast to install the kernel type matching that already installed, probably kernel-default-5.15.2. You’ll need to login as root or use su - or sudo to actually perform the save. Try it this way from a terminal:

$ su -
# cd /etc/zypp/repos.d/
# wget https://download.opensuse.org/repositories/Kernel:/stable:/Backport/standard/Kernel:stable:Backport.repo

Once done you can use zypper or yast normally to install.

Really appreciate your reply, I’ve download all the files, but face some problem while install.
Apologize that I’m a very new user of open suse, could you guide me again how to use zypper command? Thank you very much.

 
nvis1482@localhost:/etc/zypp/repos.d> sudo wget http://download.opensuse.org/repositories/Kernel:/stable:/Backport/standard/Kernel:stable:Backport.repo
[sudo] password for root: 
--2021-11-17 16:11:26--  http://download.opensuse.org/repositories/Kernel:/stable:/Backport/standard/Kernel:stable:Backport.repo
Resolving download.opensuse.org (download.opensuse.org)... 195.135.221.134, 2001:67c:2178:8::13
Connecting to download.opensuse.org (download.opensuse.org)|195.135.221.134|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 300
Saving to: ?ernel:stable:Backport.repo??
Kernel:stable:Backport.r 100%================================>]     300  --.-KB/s    in 0s      


2021-11-17 16:11:27 (53.8 MB/s) - ?ernel:stable:Backport.repo??saved [300/300]


nvis1482@localhost:/etc/zypp/repos.d> ls
Kernel:stable:Backport.repo         repo-debug.repo                 repo-sle-update.repo
openSUSE-Leap-15.3-2.repo           repo-debug-update-non-oss.repo  repo-sle-update.repo_1
repo-backports-debug-update.repo    repo-debug-update.repo          repo-source.repo
repo-backports-debug-update.repo_1  repo-non-oss.repo               repo-update-non-oss.repo
repo-backports-update.repo          repo-oss.repo                   repo-update.repo
repo-backports-update.repo_1        repo-sle-debug-update.repo
repo-debug-non-oss.repo             repo-sle-debug-update.repo_1


nvis1482@localhost:/etc/zypp/repos.d> sudo zypper install Kernel\:stable\:Backport.repo 
System management is locked by the application with pid 22671 (/usr/bin/ruby.ruby2.5).
Close this application before trying again.

nvis1482@localhost:/etc/zypp/repos.d> sudo zypper install Kernel:stable:Backport.repo
System management is locked by the application with pid 22671 (/usr/bin/ruby.ruby2.5).
Close this application before trying again.

Yast2 is opened or packagekit is blocking…

Only one programm can install at a time.

as root:

zypper in -f kernel-default

Hi Sauerland,

It’s me again, I’ve tried to install Kernel 5.15.3-lp153.2.g404f576-default, however, once into desktop, my USB ports are totally dead ( no power), but I’m sure system is working since system time is still moving on.
Is there any further suggestion? Thank you.

BR,
Alex Chen

Hi mrmazda,

I’ve tried to install Kernel 5.15.3-lp153.2.g404f576-default, however, once into desktop, my USB ports are totally dead, but I’m sure system is working since system time is still moving on.
Is there any further suggestion? Thank you.

BR,
Alex Chen

Are dead USB ports the only problem? I haven’t seen any mention previously of problems with Elkhart Lake. It could be its support or the chipset on which it lives is incomplete due to under-representation during 15.3 development, possibly because of a Q1’21 release date too late.

You may need to install newer kernel-firmware-intel than that provided by 15.3, but whether such a thing exists I don’t know. I would have expected one, if it exists, to live in the same repo where you got your 5.15 kernel, but don’t see one there.

If you file a bug report about the USB ports not working, you should get a response from the kernel people.

https://en.opensuse.org/openSUSE:Submitting_bug_reports
https://en.opensuse.org/openSUSE:Bug_reporting_FAQ

Hi there,

I’ve tried in 15.4 and the resolution issue was resolvedlol!